Bug 435749 - Sometimes audacious does not display correctly filenames with national characters
Sometimes audacious does not display correctly filenames with national charac...
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-03 12:59 EST by Andrew Zabolotny
Modified: 2009-01-09 02:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The screenshot of the bug (186.68 KB, image/png)
2008-03-03 12:59 EST, Andrew Zabolotny
no flags Details

  None (edit)
Description Andrew Zabolotny 2008-03-03 12:59:01 EST
Description of problem:

audacious does not display correctly file name in both main window and tray
popup (status icon plugin) when using non-UTF8 locales.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run a terminal with any non-UTF8 locale, e.g.:

LANG=en_US.ISO8859-1 xterm -e "/bin/bash --noprofile --norc"

2. Rename existing music file to some name using 8-bit ISO8859-1 characters, e.g:

mv something.mp3 ÐËÁÐ.mp3

3. Run audacious from this session, and load the file.
Actual results:

The ISO8859-1 characters are displayed incorrectly in main window, however they
are displayed correctly in the playlist window. Also if you enable the status
icon plugin and hold the mouse above the tray icon some time, the appearing
popup window will contain garbled characters instead of the proper glyphs.

Additional info:
The attached screenshot displays a Russian file name (in ru_RU.CP1251 locale)
correctly in the playlist window, and shows as empty in the main window, and as
garbled characters in the tray status icon window.
Comment 1 Andrew Zabolotny 2008-03-03 12:59:01 EST
Created attachment 296646 [details]
The screenshot of the bug
Comment 2 Ralf Ertzinger 2008-03-04 13:39:33 EST
The font issue in the main window is unlikely to get fixed for the 1.4 series.
In the preferences there is an option (Appearance->Use Bitmap fonts if
available) which can be disabled in order to use system font for track name
display, which will contain the full necessary charset to display these
characters (this is already used for the playlist, which is why the display
there is correct).

I can not reproduce the status icon issue, this works for me (i.e. it displays
the correct file name and no gibberish)
Comment 3 Andrew Zabolotny 2008-03-05 20:25:13 EST
Try a more elaborated command line, perhaps it will "work":

"/bin/bash --noprofile --norc"

I forgot to say that the filename displays in the popup window only if the music
file contains no tags. Just in case, I have prepared a mp3 file (legal to
distribute), renamed to ÐËÁÐ.mp3 which exhibits this bug:

Comment 4 Bug Zapper 2008-11-26 05:00:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 02:41:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.